<?php

/**
 * @package   FL Amp Plugin
 * @author    Дмитрий Васюков http://fictionlabs.ru
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
 
jimport('joomla.form.formfield');
 
class JFormFieldFLStyle extends JFormField
{
 
	protected $type = 'flstyle';
 	
	// Get Input Function

	protected function getInput()
	{	
		$document = JFactory::getDocument();
		$document->addScript('/plugins/system/flamp/assets/js/codemirror.js');
		$document->addScript('/plugins/system/flamp/assets/js/codemirror.css.js');
		$document->addStyleSheet('/plugins/system/flamp/assets/css/codemirror.css');
		$document->addScriptDeclaration("
			jQuery('document').ready(function() {
	        	var editor = CodeMirror.fromTextArea(document.getElementById('".$this->id."'), {
	        		lineNumbers: true,
	        		lineWrapping: true,
		        	extraKeys: {'Ctrl-Space': 'autocomplete'},
		        	mode: 'css',
		      	});
				
				jQuery('a[data-toggle=\"tab\"][href*=\"attrib-styles\"]').on('shown', function (e) {
					editor.refresh();
				});
		    });");

		// Translate placeholder text
		$hint = $this->translateHint ? JText::_($this->hint) : $this->hint;

		$class        = !empty($this->class) ? ' class="' . $this->class . '"' : '';
		$columns      = $this->columns ? ' cols="' . $this->columns . '"' : '';
		$rows         = $this->rows ? ' rows="' . $this->rows . '"' : '';
		$required     = $this->required ? ' required aria-required="true"' : '';
		$hint         = strlen($hint) ? ' placeholder="' . $hint . '"' : '';
		$autofocus    = $this->autofocus ? ' autofocus' : '';
		$maxlength    = $this->maxlength ? ' maxlength="' . $this->maxlength . '"' : '';

		$html = '<textarea name="' . $this->name . '" id="' . $this->id . '"' . $columns . $rows . $class
			. $hint . $required . $autofocus . $maxlength . ' >'
			. htmlspecialchars($this->value, ENT_COMPAT, 'UTF-8') . '</textarea>';

		return $html;
	}
}